
Infrastructure - Story #3023

Review and where necessary alter, add, remove index fields

2012-06-26 15:13 - Dave Vieglais

Status: Closed Start date: 2012-06-26

Priority: Normal Due date: 2012-10-06

Assignee: Skye Roseboom % Done: 100%

Category: d1_indexer Estimated time: 0.00 hour

Target version: Sprint-2012.39-Block.5.4   

Story Points:    

Description

This story is to capture work that needs to be done on the search index, especially related to the list of fields, the properties of those

fields, and their population.

Subtasks:

Task # 3022: Update search index solr schema regarding indexed fields Closed

Task # 3024: Evaluate possibility of adding an "object category" field - data, metadata... Closed

Task # 3084: Update solr search index to support querying for science metadata with data. Closed

History

#1 - 2012-07-05 21:41 - Skye Roseboom

- Milestone changed from CCI-1.0.3 to CCI-1.1

#2 - 2012-07-09 16:10 - Skye Roseboom

Copying comment from 3022 to make it more visible:

Delaying this update. Trouble updating the schema in place without causing errors in search interfaces.

Going to accumulate schema changes into a single update and also investigate using a second solr core where a new index can be built and then

swapped into the live index - to avoid disruptions in search.

#3 - 2012-08-31 01:45 - Chris Jones

- Target version changed from Sprint-2012.27-Block.4.2 to Sprint-2012.39-Block.5.4

#4 - 2012-10-08 16:35 - Dave Vieglais

- Assignee changed from Dave Vieglais to Skye Roseboom

#5 - 2012-10-08 20:51 - Skye Roseboom

- Status changed from New to In Progress

#6 - 2012-10-11 15:35 - Skye Roseboom

- Status changed from In Progress to Closed
